Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit.event
Class GreedySolverPhaseLifecycleListenerAdapter

    java.lang.Object
      org.drools.planner.core.constructionheuristic.greedyFit.event.GreedySolverPhaseLifecycleListenerAdapter

All Implemented Interfaces:
  EventListener, GreedySolverPhaseLifecycleListener

Direct Known Subclasses:
  GreedyForager

    public abstract class GreedySolverPhaseLifecycleListenerAdapter

extends Object
implements GreedySolverPhaseLifecycleListener

Constructor Summary
`GreedySolverPhaseLifecycleListenerAdapter()`

Method Summary
`void` | `phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `stepEnded(GreedyFitStepScope greedyFitStepScope)`
`void` | `stepStarted(GreedyFitStepScope greedyFitStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreedySolverPhaseLifecycleListenerAdapter

    public GreedySolverPhaseLifecycleListenerAdapter()

Method Detail

### phaseStarted

    public void phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `GreedySolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepStarted` in interface `GreedySolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepEnded` in interface `GreedySolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `GreedySolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.